<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<dom-module id="subsystem-keys">
  <template>
    <link rel="stylesheet" href="subsystem-keys.css?__inline=true">
    <style include="l1page-theme"></style>

    <dom-if if="[[runData]]">
      <template>
          <p header>L1 HLT KEY</p>
          <p key>[[runData.HLTModeId]]</p>
      </template>
    </dom-if>

    <dom-if if="[[runData.trgConf]]">
      <template>
          <p header>L1 MENU</p>
          <p key>[[runData.trgConf.L1_MENU]]</p>
      </template>
    </dom-if>

    <dom-if if="[[runData.trgConf]]">
      <template>
        <p header>HLT MENU</p>
        <p key>[[runData.trgConf.HLT_KEY]]</p>
      </template>
    </dom-if>

    <div>
      <template is="dom-if" if="[[runData.trgConf]]" restamp="true">
        <table keytable>
          <tr>
            <th syscolumn>Subsystem</th>
            <th>Configuration Key</th>
            <th>Run Setting Key</th>
          </tr>
          <tr>
            <td system>L1</td>
            <td>[[runData.trgConf.L1_TRG_CONF_KEY]]</td>
            <td>[[runData.trgConf.L1_TRG_RS_KEY]]</td>
          </tr>
          <template is="dom-repeat" items="[[_toArray(runData.trgConf.TRG_SUBSYSTEMS)]]" as="SubConf">
            <tr>
              <td system syscolumn>[[SubConf.name]]</td>
              <td>[[SubConf.conf]]</td>
              <td>[[SubConf.rs]]</td>
            </tr>
          </template>
        </table>
      </template>
    </div>
    <slot></slot>
  </template>
</dom-module>

<script src="subsystem-keys.js?__inline=true"></script>
